Board index   FAQ   Search  
Register  Login
Board index PHP PHP Installation

can't enable session PHP Version 5.3.3-7+squeeze1

Forum for you who has PHP installation issues

Moderators: macek, egami, gesf

can't enable session PHP Version 5.3.3-7+squeeze1

Postby manpakhong » Sun Apr 10, 2011 9:56 pm

Dear all,

I have installed Debian Linux 6 and PHP Version 5.3.3-7+squeeze1.

I developed a web site which use windows appserv and at the php.ini
I set:
session.auto_start = 1.
then appserv can handle session open.

However at Debian Linux 6 and PHP Version 5.3.3-7+squeeze1 cannot do that.
/etc/php5/apache2/php.ini
and set
session.auto_start = 1.
The session cannot be open.

The Linux server phpinfo() is as follows:

session
Session Support enabled
Registered save handlers files user
Registered serializer handlers php php_binary wddx

Directive Local Value Master Value
session.auto_start Off Off
session.bug_compat_42 On On
session.bug_compat_warn On On
session.cache_expire 180 180
session.cache_limiter nocache nocache
session.cookie_domain no value no value
session.cookie_httponly Off Off
session.cookie_lifetime 0 0
session.cookie_path / /
session.cookie_secure Off Off
session.entropy_file no value no value
session.entropy_length 0 0
session.gc_divisor 100 100
session.gc_maxlifetime 1440 1440
session.gc_probability 1 1
session.hash_bits_per_character 4 4
session.hash_function 0 0
session.name PHPSESSID PHPSESSID
session.referer_check no value no value
session.save_handler files files
session.save_path /var/lib/php5 /var/lib/php5
session.serialize_handler php php
session.use_cookies On On
session.use_only_cookies On On
session.use_trans_sid 0 0

Whenever I do restart , the result is the same.

Wait for your kindly help.

Man Pak Hong, Dave
manpakhong@hotmail.com
manpakhong
New php-forum User
New php-forum User
 
Posts: 4
Joined: Sun Apr 10, 2011 9:47 pm

Re: can't enable session PHP Version 5.3.3-7+squeeze1

Postby johnj » Sun Apr 10, 2011 10:27 pm

Make sure you do not have another php.ini on the same machine.
johnj
php-forum Super User
php-forum Super User
 
Posts: 1805
Joined: Thu Mar 10, 2011 5:07 pm

Re: can't enable session PHP Version 5.3.3-7+squeeze1

Postby manpakhong » Sun Apr 10, 2011 11:50 pm

I eventually solved the problem myself.

To remove apache2 and php5 and reinstall it again, then, php can get value from php.ini now.


wired problem.

apt-get remove php5
apt-get remove apache2

apt-get install apache2
apt-get install php5

That it.

Man Pak Hong, Dave
manpakhong@hotmail.com
manpakhong
New php-forum User
New php-forum User
 
Posts: 4
Joined: Sun Apr 10, 2011 9:47 pm

Re: can't enable session PHP Version 5.3.3-7+squeeze1

Postby manpakhong » Sun Apr 10, 2011 11:51 pm

johnj wrote:Make sure you do not have another php.ini on the same machine.

Thanks johnj. I solved it.

an odd problem.

Thanks again.

Man Pak Hong, Dave

manpakhong@hotmail.com
manpakhong
New php-forum User
New php-forum User
 
Posts: 4
Joined: Sun Apr 10, 2011 9:47 pm


Return to PHP Installation

Who is online

Users browsing this forum: No registered users and 1 guest

Sponsored by Sitebuilder Web hosting and Traduzioni Italiano Rumeno and antispam for cPanel.